/*
 * Version 1.0 (Beta Test)
 * Copyright (c) Rui Zhang, School of Computing, National University of Singapore, 2005.
 *
 * Permission is hereby given for the use of the code subject to the
 *  following conditions:
 *  - The library will not be sold for profit without explicit written
 *    permission from Rui Zhang.
 *  - This copyright notice and author information will not be altered
 *  - No redistribution of the code is allowed
 *  - All bug fixes will be returned to zhangru1@comp.nus.edu.sg for
 *    inclusion in future releases
 *
 */

#ifndef PAGE_SIZE
#define PAGE_SIZE 4096
#endif

#define NODE_FAN_OUT ((int)(PAGE_SIZE-sizeof(NL_NODE_HEADER))/sizeof(long))

typedef struct{
  int NumEntry;
}NL_NODE_HEADER;

typedef struct{
  NL_NODE_HEADER Header;
  long Offsets[NODE_FAN_OUT];
}NL_NODE;
